%define _requires_exceptions libx264.so.98

%define name TranscoderAudioEdition
%define version 0.0.4
%define release %mkrel 2

Summary:	Transcoder Audio Edition is a audio converter for Linux
Summary(de):	Transcoder Audio Edition ist ein Audio Konverter für Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL	
URL:		http://aluigi.altervista.org/mytoolz.htm
Source0:	http://downloads.sourceforge.net/project/transcoderae84/%{name}_%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%{name} < %version

%description
Transcoder Audio Edition is a audio converter for Linux which can convert from one 
audio format into another and can extract audio tracks from video files and convert 
them into audio formats. It uses GTK+ as GUI toolkit and ffmpeg as backend.

#german
%description -l de
Transcoder Audio Edition ist ein Audio Konverter für Linux, das konventieren von verschiedenen
Audio-Formaten in ein anderes. Ausserdem können aus Video Dateien das Audio konventiert werden in 
ein beliebiges Audioformat. Es benötigt GTK+ als GUI und ffmpeg als Backend.

%prep 
%setup -q -n %name


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/%name  
cp -af * %buildroot/%_datadir/%name

# desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Transcoder Audio Edition
Comment=A audio converter for Linux
Exec=transcoder
Icon=transcoder.png
Terminal=false
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Sound
EOF

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/transcoder.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/transcoder.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/transcoder.png 

#launcher
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cat > %buildroot%_bindir/transcoder << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./Transcoder
EOF
chmod +x %{buildroot}%{_bindir}/transcoder


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/transcoder
%{_datadir}/%name/                                                        
%{_datadir}/applications/*
%{_datadir}/pixmaps/transcoder.png

%changelog
* Fri Oct 08 2010 Texstar <texstar at gmail.com> 0.0.4-2pclos2010
- convert source to tar.xz
- fix exceptions libx264.so.98

* Fri Oct 08 2010 Sproggy <desproggster@gmail.com> 0.0.4-1pclos2010
- new release 0.0.4

* Tue Jan 05 2010 slick50 <lxgator@gmail.com> 0.0.2-1pclos2010
- new release 0.0.2

* Fri Nov 13 2009 Joble <gablej@srt.com> 0.0.1-1pclos2010
- Initial Build for PCLinuxOS

